Subject: RE: sasl in beep or payload

From: Mike Just <[email-masked]>
Date: Wed, 19 Dec 2001 11:55:03 -0500

Dave,

I kind of thought that Stephen was working on rough consensus - and doing it
quite well and fairly. Hands were raised at the meeting; it seemed pretty
clear.  The discussion was taken to the list and Stephen cited the
discussion on the list which, at the current time, does not have consensus
to contradict what was said at the meeting (and stated in the minutes).
Stephen was only relaying that information the best he could. It's
unfortunate that you've misinterpreted this.

Mike

> -----Original Message-----
> From: Dave Crocker [mailto:[email-masked]]
> Sent: Wednesday, December 19, 2001 11:36 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: sasl in beep or payload
> 
> 
> 
> At 04:12 PM 12/19/2001 +0000, Stephen Farrell wrote:
> >Well, I don't think so. A week ago I posted [1], and only 
> Marshall (and
> >now you) seemed to differ from that. If others do, then I'd 
> have hoped
> >they'd have spoken up by now.
> 
> Stephen,
> 
> The principle of having a chair declare a decision and wait 
> for objections 
> is well-established in the IETF.  However, to succeed, the use of the 
> technique needs to have some basis in the recent history of 
> the working 
> group.
> 
> For example, it is not reasonable for a chair to literally 
> ignore arguments 
> they dislike and declare a decision that they DO like.
> 
> That you are both editor and chair, involving a matter of 
> some controversy, 
> is a point that needs to concern you a great deal.
> 
> As to the lack of response to your declaration, alternative 
> explanations are:
> 
> 1.  Post-IETF syndrome.
> 
> 2.  Shock at the arbitrary (and frankly self-serving) declaration, 
> resulting is a feeling that it is not worth commenting, since serious 
> issues and serious points of view are going to be ignored by 
> the chairs.
> 
> I'll also add that the reason I did not post anything earlier 
> was that I 
> sent my comments to the ADs, suggesting they fix the rather abherrent 
> process that is clearly present in this working group.
> 
> 
> > > In fact I seem to recall a presentation that argued for 
> this re-use.
> >
> >Yes (and I liked your presentaion btw). There was also another one
> >(Magnus') calling for a quite different approach.
> 
> You appear to be offering that as an excuse for literally 
> ignoring the 
> presentation you did not like.
> 
> 
> > > Please note that if the working group takes the very 
> strong AD guidance to
> > > choose a single "transport" then there is no reason at 
> all to create sasl
> > > integration into the application, unless the working 
> group chooses a
> > > "transport" that does not already supply that functionality.
> >
> >I have some sympathy for this myself, but judging by the raised
> >hands, the consensus amongst those who'd implement sacred was to
> >include the sasl pdus in the payload.
> 
> I commend to you some study in survey research methodology 
> and statistical 
> sampling an analysis.
> 
> d/
> 
> 
> ----------
> Dave Crocker  <mailto:[email-masked]>
> Brandenburg InternetWorking  <http://www.brandenburg.com>
> tel +1.408.246.8253;  fax +1.408.273.6464
>

---

From: "Marshall T. Rose" <[email-masked]>
Date: Wed, 19 Dec 2001 12:09:51 -0800

RE: sasl in beep or payloadmike - the problem here is the wording of the
questions that Stephen asked the group.

whether intentionally or not, he specifically disenfranchised the majority
of the folks in the room by limiting the sample set to those people actively
planning to implement.

i am sympathetic to trying to focus on the implementors (and have used the
technique several times both as a chair and an area director), but it
requires a larger sample set in order to be meaningful.

perhaps i was too subtle in my original comment on this, viz.,

> From: "Marshall Rose" <[email-masked]>
> Sent: Thursday, December 13, 2001 17:26
>
> > Around 15 hands were raised in response to the question: "how
> > many are likely to implement sacred". Of those, all but one
> > agreed with the proposition that we should include the sasl
> > PDUs in the sacred payload. So, the concensus at the meeting
> > is to add new messages along the lines of the bind request
> > and response from Magnus' posting.
> >
> > If there are enough people unhappy with this, I'll start a
> > straw poll on the list in a few days so we can sort it out.
>
> stephen - this analysis simply isn't germane (nor is the sampling
> methodology, but that's another issue).

and perhaps dave is too direct. but, there is a fundamental problem here.

you had a fair number of people (at least five, not counting dave and i)
with serious ietf and applications experience saying "no, no, no", and the
question got asked in such a way that only one of those could express an
opinion. that person, by the way, was the one who dissented from the other's
who were allowed to express an opinion.

perhaps if you view it from that perspective, you may understand why dave is
pushing back...

/mtr

  ----- Original Message -----
  From: Mike Just
  To: 'Dave Crocker' ; [email-masked]
  Cc: [email-masked]
  Sent: Wednesday, December 19, 2001 08:55
  Subject: RE: sasl in beep or payload

  Dave,

  I kind of thought that Stephen was working on rough consensus - and doing
it quite well and fairly. Hands were raised at the meeting; it seemed pretty
clear.  The discussion was taken to the list and Stephen cited the
discussion on the list which, at the current time, does not have consensus
to contradict what was said at the meeting (and stated in the minutes).
Stephen was only relaying that information the best he could. It's
unfortunate that you've misinterpreted this.

  Mike

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 21 Dec 2001 12:40:02 +0000

Marshall, Dave,

> whether intentionally or not, he specifically disenfranchised the majority of the 
> folks in the room by limiting the sample set to those people actively planning 
> to implement.

The reason I did that was that there were a bunch of people in the room 
with very strong opinions but who, as far as I can tell, aren't interested 
in sacred per se, but *only* in the broader issues. I acknowledge that some 
of this group (yourselves and Keith included) do bring to bear some serious 
levels of experience. In any case, the "*only*" above, is the reason why I 
limited the poll at the meeting to implementors - we were, and still perhaps 
are, in serious danger that the "right thing in general", is the wrong thing
for those who want to implement, the downside being that we produce a lovely
proposed standard rfc, but no code.

Now, its of course fair enough to question this, particularly since you 
and Dave have made the arguable case (with which I don't agree, btw) that 
this particular issue prejudges the "multiple substrates" issue.

So - let's let the "sasl-in-beep" issue sleep for a bit and proceed with 
an explicit strawpoll on the "multiple substrates" issue (see earlier 
mail).

Stephen.

-- 
____________________________________________________________
Stephen Farrell         				   
Baltimore Technologies,   tel: (direct line) +353 1 881 6716
39 Parkgate Street,                     fax: +353 1 881 7000
Dublin 8.                mailto:[email-masked]
Ireland                             http://www.baltimore.com

---

From: Keith Moore <[email-masked]>
Date: Fri, 21 Dec 2001 10:11:45 -0500

> proposed standard rfc, but no code.

I'd characterize it somewhat differently.  

There are some who undrestand how difficult it will be to both specify and 
implement a protocol that requires multiple transactions over http in a way 
that works with the existing http infrastructure (servers, client libraries, 
caches, firewalls).  And there are some who don't.

Also, it's probably a mistake to claim that your former group isn't 
interested in sacred per se - the fact that they only speak up when they 
see a danger of a bad decision being made should not be taken as an 
indicator of a lack of interest in the technology. 

Keith

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 21 Dec 2001 15:24:42 +0000

Keith,

With "s/probably/possibly/" I'd have no problem with what you've 
written. 

In any case, I still maintain (and others disagree, and we'll be
running a strawpoll that'll make that disagreement moot) that the 
strawpoll at the meeting had nothing to do with http, but only 
addressed the placement of sasl pdus.

Anyway, let's sort out the substrates issue and then revisit the
sasl-pdu placement if its not obvious at that stage.

Stephen.

---

From: Dave Crocker <[email-masked]>
Date: Fri, 21 Dec 2001 09:12:30 -0800

Stephen,

First of all, I appreciate the intent and particular detail of your 
note.  And  -- remembering that we all are pretending I did not make a 
personal slip in one note -- please understand that the focus on sampling 
was to explain why it was not an adequate sample, rather than a focus on 
anyone's intent.  If anything, this exchange shows how difficult it can be 
to "engineer" tailored good sampling.

As to the strawpoll, the problem is that we are jumping to a decision phase 
before there is a clear understanding of the problem to solve.  That is, 
the first question is WHY there should be multiple substrates?

What problem is solved by supporting multiple substrates?  Will it really 
be solved?  Are the reasons realistic and compelling?  Do they outweigh the 
costs?

And then there is the small matter of the concerns that have been raised 
about them.  (Remember my clever example about a consensus for world peace.)

At the meeting, these questions received responses, but there is no 
indication that they were generally understood or why anyone might have 
chosen to reject them.

d/

----------